#ifndef AREA_ARB_H_
#define AREA_ARB_H_
#include "Area.h"
#include "Arb.h"
#include "Arb_State.h"
/**
 * 该文件为4线模式和仲裁模式的共用头文件，用于对其他模块的通用接口
 */

/**
 * @brief 执行初始化，4线与仲裁模式根据配置区分
 */
void Area_Arb_Common_Init(void);
/**
 * @brief 获取所有板卡区域状态，4线与仲裁模式根据配置开关从不同结构体获取
 */
void Area_Arb_Common_Get_All_State(STR_Area_State *p_all_State);
/**
 * @brief 获取另一地A系的ID，执行初始化，4线与仲裁模式根据配置区分
 */
CM_UINT32 Area_Arb_Common_GetArea_A_ID(void);
/**
 * @brief 获取另一地B系的ID，执行初始化，4线与仲裁模式根据配置区分
 */
CM_UINT32 Area_Arb_Common_GetArea_B_ID(void);
/**
 * @brief 判断是否存在备地
 */
CM_BOOL Area_Arb_Common_Slave_Is_Exist(void);

#endif